#
# Package: perl-libapreq -- Perl module Apache::Request and Apache::Cookie and libapreq library
#

%define version 0.31

Version: %{version}
Release: 1

Summary: Perl module Apache::Request and Apache::Cookie and libapreq library for use with mod_perl
Name: perl-libapreq

Copyright: GPL
Group: Development/Languages
Distribution: Spittoon
Buildroot: /tmp/perl-libapreq-root

Source0: ftp://ftp.perl.org//pub/CPAN/modules/by-module/Apache/libapreq-%{version}.tar.gz
Patch0:  libapreq-%{version}_include.patch

Requires: perl >= 5.004

Prereq: perl
Prereq: apache-modperl


%description
This package contains modules for manipulating client request data via
the Apache API with Perl and C.  Functionality includes:

 - parsing of application/x-www-form-urlencoded data
 - parsing of multipart/form-data 
 - parsing of HTTP Cookies

See libapreq.pod for the C API documentation and
eg/c/ for examples.

The Perl modules are simply a thin xs layer on top of libapreq,
making them a lighter and faster alternative to CGI.pm and
CGI::Cookie.  See the Apache::Request and Apache::Cookie documentation
for more details and eg/perl/ for examples.

For documentation on this package after you have installed it, type
perldoc Apache::Request
perldoc Apache::Cookie
perldoc libapreq


%prep
%setup -n libapreq-%{version}
%patch -p1


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make


%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
FOO=
make PREFIX=$RPM_BUILD_ROOT/usr \
   INSTALLMAN3DIR=$RPM_BUILD_ROOT/`dirname $installarchlib`/man/man3 install


%clean 
rm -rf $RPM_BUILD_ROOT


%pre
if [ $1 = 1 ] ; then
	eval `perl '-V:installsitelib'`
	eval `perl '-V:archname'`
	install -d $installsitelib/$archname/auto/Apache
	install -d $installsitelib/$archname/Apache
fi


%files
%defattr(-,root,root)

%doc CREDITS LICENSE README Changes ToDo INSTALL eg

/usr/lib/perl5/site_perl/*/*-linux/libapreq.pod
/usr/lib/perl5/site_perl/*/*-linux/Apache/libapreq.pm
/usr/lib/perl5/site_perl/*/*-linux/Apache/Request.pm
/usr/lib/perl5/site_perl/*/*-linux/Apache/Cookie.pm
/usr/lib/perl5/site_perl/*/*-linux/auto/libapreq
/usr/lib/perl5/site_perl/*/*-linux/auto/Apache/Request
/usr/lib/perl5/site_perl/*/*-linux/auto/Apache/Cookie
/usr/lib/perl5/*/man/*/*


%changelog

* Fri Jun 08 2001 David Harris <dharris@drh.net>
- rebuilt for Red Hat 7.1

* Thu Oct 14 1999 David Harris <dharris@drh.net>
- First build the RPM file.

